Get database connection schema
GET /api/databases/{type}/schema
GET
/api/databases/{type}/schema
Returns the connection-form field schema for a database type. Public — no authentication required.
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” type
required
string
Responses
Section titled “ Responses ”Connection-form field schema.
object
success
required
boolean
data
required
object
fields
required
Array<object>
object
name
required
string
label
required
string
type
required
string
required
boolean
default
helperText
string
placeholder
string
rows
number
options
Array<object>
object
label
required
string
value
path
string
advanced
boolean
group
string
visibleWhen
object
field
required
string
equals
Database type not found
object
success
boolean
error
required
string
Example
Human-readable error message